import common from './common'
const ctx = common.ctx //'/finapi'// common.ctx;// "/api"//测试环境 http://192.168.1.250:8890
const ctxForm = common.ctxForm //'/ms'//common.ctxForm;//"/ms"
const urls = {
    handshake: ctx + '/auth/handshake',
    login: ctx + '/auth/token',
    loginMOA: ctx + '/smap/auth/token',
    getMenu: ctx + '/auth/routers',
    cleantoken: ctx + '/auth/cleantoken',
    menu: {
        getList: ctx + '/routers'
    },
    //新需求申请单工作流接口
    formList: {
        startWork: ctxForm + '/startProcess',   //开始工作流
        startWorkList: ctxForm + '/batchStartProcess',   //开始工作流多人
        nextWork: ctxForm + '/complateTask',  //工作流next流转
        getWorkId: ctxForm + '/getRunningProcessInstance', // 获取工作流任务id
        transferTask: ctxForm + '/process/transferTask/',//转派工作流接口
        todoTask: ctxForm + '/todoTask',
        getCommentsByProcessId: ctxForm + '/his/getHistoricTaskInstanceList',
        getCommentsByProcessIds:ctxForm + '/getCommentsByProcessId/',
        getReadList:ctxForm+'/complateReadTask',
        getLastName:ctxForm+'/lastMan',
        getNewTransferTask:ctxForm+"/process/transferTaskMuti/",
        getQueryMultiTaskId:ctxForm + "/queryMultiTaskId",
        getComplateLastMan:ctxForm + "/complateLastMan"
    },
    distribute: {
        sendMsg: ctx + '/api/distribute/create', //创建分发
        findMyComment: ctx + '/api/comment/findMyComment', //查询
        findMyNotComment: ctx + '/api/comment/findMyNotComment', //（待阅）
        findMyHaveComment: ctx + '/api/comment/findMyHaveComment', //（已阅）
        find: ctx + '/api/distribute/find', //我的分发
        update: ctx + '/api/comment/update', //点击查阅
        findCommnetDetails: ctx + '/api/comment/findCommnetDetails' //评阅详情
    },
    thawQuota: '/api/frozenQuotaService/thawQuota',
    message: {
        getList: ctx + '/api/notification/findNotification', //查询列表
        edit: ctx + '/api/notification/updateNotification', //编辑
        editAll: ctx + '/api/notification/updateALLNotification' //编辑所有
    },
    document: {
        upload: ctx + '/api/document/upload',
        download: ctx + '/api/document/download',
        find: ctx + '/api/document/fileInformation',
        parsePDF: ctx + '/api/document/parsePDFAsMatrix'
    },
    EIfile: {
        add: ctx + '/api/financeFileCode/create',
        del: ctx + '/api/financeFileCode/update'
    },
    email: {
        getList: ctx + '/api/messageEmailConfigService/find',
        getById: ctx + '/api/messageEmailConfigService/findById',
        del: ctx + '/api/messageEmailConfigService/delete',
        edit: ctx + '/api/messageEmailConfigService/update', //编辑
        add: ctx + '/api/messageEmailConfigService/create', //增加
        all: ctx + '/api/messageEmailConfigService/find',
        test: ctx + '/api/messageEmailConfigService/sendTestEmail'
    },
    schedule: {
        find: ctx + '/api/quartzJob/find',
        findByName: ctx + '/api/quartzJob/findByName',
        delete: ctx + '/api/quartzJob/delete',
        update: ctx + '/api/quartzJob/update', //编辑
        create: ctx + '/api/quartzJob/create', //增加
        findAll: ctx + '/api/quartzJob/findAll',
        triggerNow: ctx + '/api/quartzJob/triggerNow',
        pause: ctx + '/api/quartzJob/pause',
        resume: ctx + '/api/quartzJob/resume',
        unschedule: ctx + '/api/quartzJob/unschedule',
        startAll: ctx + '/api/quartzJob/startAll',
        stopAll: ctx + '/api/quartzJob/stopAll'
    },
    workflowdef: {
        getList: ctxForm + '/getMadelByPage',
        getById: ctxForm + '/getModelById',
        copyById: ctxForm + '/copyModelById',
        edit: ctxForm + '/user/update.do', //编辑
        add: ctxForm + '/create', //增加
        del: ctxForm + '/deleteModel',
        deploy: ctxForm + '/deploy',
        modeler: ctxForm + '/modeler.html?modelId=',
        deleteModelById: ctxForm + '/deleteModelById',
        getruns: ctxForm + '/getRunningProcessInstance',
        getHistoricTaskInstanceList: ctxForm + '/his/getHistoricTaskInstanceList' //获取表格评分阶段
    },
    //流程短信接收人管理
    processSendMessage: {
        find: ctx + '/api/processSendMessage/find',//页面初始化查询
        findByProcesstype: ctx + '/api/processSendMessage/findByProcesstype',//编辑时查询
        add: ctx + '/api/processSendMessage/create',//增加
        update: ctx + '/api/processSendMessage/update',//编辑
        delete: ctx + '/api/processSendMessage/delete',//编辑
        findAllUser: ctx + '/api/processSendMessage/findAllUser',//查找所有用户
    },
    //操作代码配置管理
    productCodeConfiguration: {
        findAll: ctx + '/api/processSendMessage/findAll',//页面初始化查询
        find: ctx + '/api/processSendMessage/findCode',//编辑时查询
        add: ctx + '/api/processSendMessage/createCode',//增加
        update: ctx + '/api/processSendMessage/updateCode',//编辑
        delete: ctx + '/api/processSendMessage/deleteCode',//逻辑删除
    },
    activeti: {
        //getRole:ctxForm+'/permission/getFirstUserTask',//启动时过去角色
        getRole: ctx + '/api/processService/getNextTaskGroup', //获取审核人
        getUsersByRoleId: ctx + '/api/userService/getUsersByRoleId', //获取用户
        getUsersByRoleIds: ctx + '/api/userService/getUsersByRoleIds', //获取用户
        getTodoTask: ctx + '/api/processService/getTodoTask', //获取待办评价
        getCommentsByTaskId: ctx + '/api/processService/getCommentsByTaskId', //流程taskid获取历史评论
        getCommentsByProcinstid: ctx + '/api/processService/getCommentsByProcinstid', //流程实例id获取历史评论
        // getCommentsByProcinstid:ctx+'/api/processService/getCommentsByProcinstids',//流程实例id获取历史评论 二次审核修改

        getProcinstid: ctx + '/api/programmeService/getProcinstidHistoryByProgrammecode', //二次审核 先调这个
        finish: ctx + '/api/processService/findFinishedTaskInstances', //获取已办
        getDoneTask: ctx + '/api/processService/getDoneTask', //我的已办
        getIInitiatedTask: ctx + '/api/processService/getIInitiatedTask', //我的在途申请
        recallProcess: ctx + '/api/${service}/recallProcess',

        getMessageReceiveList: ctx + '/api/processService/getMessageReceiveList', //获取流程短信接收人

    },
    leave: {
        start: '/startProcess', //发起
        todoTask: '/todoTask',
        complateTask: '/complateTask'
    },
    processinst: {
        //流程列表
        getList: ctxForm + '/getProcessIntanceByPage',
        view: ctxForm + '/process-definition',
        webPage: ctxForm + '/form/getFormKey',
        getUserTaskList: ctxForm + '/permission/getUserTaskList',
        loadSingleBpmn: ctxForm + '/permission/loadSingleBpmn',
        setPermission: ctxForm + '/permission/setPermission',
        showDiagramByPi: ctxForm + '/showDiagramByPi',
        showDiagramByTask: ctxForm + '/showDiagramByTask',
        // 导出流程
        getExportFile: ctxForm + '/exportBPMNByProDefinitionId',
        // 导入流程
        exportFile: ctxForm + '/importBPMN',
        /** 重发待办 */

        // 根据流程定义key获取流程环节权限列表
        getUserTask: ctxForm + '/permission/getUserTask',
        // 设置流程环节权限
        setPermission1: ctxForm + '/setTaskUser',
        /**召回流程 */
        recall: ctx + '/api/processRecallService/recall'
    },
    formManag: {
        //
        getList: ctxForm + '/form/getList',
        getById: ctxForm + '/form/getDataById',
        edit: ctxForm + '/form/edit', //编辑
        add: ctxForm + '/form/add', //增加
        del: ctxForm + '/deleteModel',
        getByCode: ctxForm + '/form/getDataByCode',
        idCode: ctxForm + '/form/getStartFormKey/' //要加id
    },
    menuManag: {
        //菜单管理
        getList: ctx + '/api/router/find', //查询列表
        getById: ctx + '/api/router/findById', //id查询
        del: ctx + '/api/router/delete', //停用
        edit: ctx + '/api/router/update', //编辑
        add: ctx + '/api/router/create', //增加
        // findTree: ctx + "/api/router/findTree",
        findAll: ctx + '/api/router/findAll', //查找路由所有
        findMobileTree: ctx + '/api/router/findMobileTree', //查找短信配置
        findByParentId: ctx + '/api/router/findByParentId', //
        findAuthorized: ctx + '/api/router/findAuthorized' //
    },
    roleManag: {
        //角色管理
        // getList: ctx + '/api/role/find', //查询列表
        getList: ctx + '/sysmgr/sys/settings/sysRoleFlowInfos/queryRoleFlow', //查询列表
        getById: ctx + '/api/role/findById', //id查询
        del: ctx + '/api/role/delete', //停用
        edit: ctx + '/api/role/update', //编辑
        add: ctx + '/api/role/create', //增加
        addAprove: ctx + '/api/role/addProgrammeApproval', //发起审核
        aprove: ctx + '/api/role/approveProcess', //审核
        findAll: ctx + '/api/role/findAll',
        updatePermission: ctx + '/api/role/updatePermission', //
        findResourcePermission: ctx + '/api/role/findResourcePermission' //
    },
    selectList: {
        //下拉框的数据
        menu: ctx + '/api/router/findTree' //上级路由
    },
    resourceManag: {
        getList: ctx + '/api/resource/find', //查询列表
        getById: ctx + '/api/resource/findById', //id查询
        del: ctx + '/api/resource/delete', //停用
        edit: ctx + '/api/resource/update', //编辑
        add: ctx + '/api/resource/create', //增加
        findAll: ctx + '/api/resource/findAllAvailable', //
        findAuthor: ctx + '/api/resource/findAuthorizedByUserId', //
        findByRouterId: ctx + '/api/resource/findByRouterId',
        findPermissionByUserId: ctx + '/api/resource/findPermissionByUserId',
        findPermission: ctx + '/api/resource/findPermission',
        findPermissionCodeByUserId: ctx + '/api/resource/findPermissionCodeByUserId'
    },
    userManag: {
        //
        getList: ctx + '/api/user/find', //查询列表
        findByOrganizationIdList: ctx + '/api/user/findByOrganizationIdList', //查询列表
        getById: ctx + '/api/user/findById', //id查询
        del: ctx + '/api/user/delete', //停用
        edit: ctx + '/api/user/update', //编辑
        add: ctx + '/api/user/create', //增加
        updateCurrentUser: ctx + '/api/user/updateCurrentUser',
        findByLoginName: ctx + '/api/user/findByLoginName', //
        updatePassword: ctx + '/api/user/updatePassword', //重置密码接口
        updateCurrentPassword: ctx + '/api/user/updateCurrentPassword', //修改自己密码接口
        me: ctx + '/api/user/me', //
        addAprove: ctx + '/api/user/addProgrammeApproval', //发起审核
        aprove: ctx + '/api/user/approveProcess' //审核
    },
    organizationManag: {
        //
        getList: ctx + '/api/organization/find', //查询列表
        getById: ctx + '/api/organization/findById', //id查询
        del: ctx + '/api/organization/delete', //停用
        edit: ctx + '/api/organization/update', //编辑
        add: ctx + '/api/organization/create', //增加
        findAll: ctx + '/api/organization/findAll',
        findTree: ctx + '/api/organization/findTree' //
    },
    financialData: {
        // 参考基准利率
        findLatest1: ctx + '/api/windDepositRate/findLatest', //存款存款利率
        findLatest2: ctx + '/api/windShibor/findLatest', //上海银行间同业拆放利率
        getName: ctx + '/api/bankAccountService/getShortName', //资金转出账户  列表
        findByCode: ctx + '/api/dictionaryService/findByCode' //资金转出账户  列表
    },
    bankAccount: {
        // 活期类账户
        getList: ctx + '/api/bankAccount/find', //查询列表
        sync: ctx + '/api/bankAccount/sync', //id查询
        insert: ctx+ '/api/bankAccount/insert',
        find: ctx+ '/api/bankAccount/findById',
        update: ctx+ '/api/bankAccount/update'
    },
    entrusterBankAccount: {
        // 委托方资金账户
        getList: ctx + '/api/entrusterBankAccountService/find', //查询列表
        getListAll: ctx + '/api/entrusterBankAccount/findAll', //查询列表
        sync: ctx + '/api/entrusterBankAccount/sync', //id查询
        getById: ctx + '/api/entrusterBankAccount/findById',
        getNewSize: ctx + '/api/entrusterBankAccountService/flushEntrusterBankAccount',
        getNewAccout: ctx + '/api/entrusterBankAccountService/newEntrusterBankAccount',
        getNewAccout2: ctx + '/api/commissionFrameworkAgreementService/newAgreementList',
        changeName: ctx + '/api/entrusterBankAccountService/update',
        changeName2: ctx + '/api/commissionFrameworkAgreementService/updateShortName'
    },
    systemLog: {
        getList: ctx + '/api/systemLog/find', //查询列表
        getListBusuness: ctx + '/api/universalityBusunessService/find', //通用交易接口调用结果页面查询列表
        update: ctx + '/api/universalityBusunessService/update', //通用交易接口调用结果页面修改状态
    },
    counterparty: {
        // 交易对手
        getList: ctx + '/api/counterparty/find', //查询列表
        getById: ctx + '/api/counterparty/findById', //id查询
        del: ctx + '/api/counterparty/delete', //停用
        edit: ctx + '/api/counterparty/update', //编辑
        add: ctx + '/api/counterparty/create', //增加
        findAll: ctx + '/api/counterparty/findAll',
        findAllBankaccounts: ctx + '/api/counterparty/findAllBankaccounts'//资金转出、入行(账户)（最新）
    },
    counterpartyContact: {
        // 联络人管理
        getList: ctx + '/api/counterpartyContact/find', //查询列表
        getById: ctx + '/api/counterpartyContact/findById', //id查询
        del: ctx + '/api/counterpartyContact/delete', //停用
        edit: ctx + '/api/counterpartyContact/update', //编辑
        add: ctx + '/api/counterpartyContact/create', //增加
        findAll: ctx + '/api/counterpartyContact/findAll'
    },
    dictionary: {
        // 数据字典
        getList: ctx + '/api/dictionary/find', //查询全部列表
        getList1: ctx + '/api/dictionary/findProcessType', //查询模型名称
        getList2: ctx + '/api/dictionary/findProcessName', //查询模型名称
        // getList: ctx + '/api/dictionary/findEffect', //根据状态查询列表
        getById: ctx + '/api/dictionary/findById', //id查询
        del: ctx + '/api/dictionary/delete', //停用
        edit: ctx + '/api/dictionary/update', //编辑
        add: ctx + '/api/dictionary/create', //增加
        findAll: ctx + '/api/dictionary/findAll',
        findTree: ctx + '/api/dictionary/findTree', //
        findLatest3: ctx + '/api/dictionary/findshibor1', //参考银行间质押式回购市场利率（%）

    },
    systemWarnning: {
        // 日志系统个报错
        getList: ctx + '/api/systemWarnning/find' //查询列表 旧的
        // getList: ctx + "/api/systemWarnning/findById", //查询列表 冯璐修改后
    },
    systemPeripheral: {
        getList: ctx + '/api/sendLogsIcbcService/find', //查询列表 旧的
        findByid: ctx + '/api/sendLogsIcbcService/findByid' //{id：1   日志数据的id}
    },
    superviseQuota: {
        //额度管理
        getList1: ctx + '/api/superviseQuota/getSuperviseQuota', //监管额度占用查询
        checkQuota: ctx + '/api/superviseQuota/checkQuota', //接口校验
        getList2: ctx + '/api/creditGrantingQuota/getSuperviseQuota', //授信额度占用查询z
        getList_new: ctx + '/api/counterCreditGrantingQuota/findSuperviseQuotaByType' //授信额度占用查询 带子公司得
    },
    pledgeBonds: {
        // 质押券价值监控
        getList: ctx + '/api/pledgeProductAccountService/monitorPledge', //查询列表
        getById: ctx + '/api/pledgeProductAccountService/queryPledgeDetail', //id查询
        findByTradeDate: ctx + '/api/windBond/findByTradeDate' //获取中债估值
    },
    groupLines: {
        // 集团额度占用情况
        getList: ctx + '/api/counterPartyBlocService/findAll', //查询列表
        getList1: ctx + '/api/counterPartyBlocService/find', //查询列表
        edit: ctx + '/api/counterPartyBlocService/update' //修改
        // getById: ctx + "/api/pledgeProductAccountService/queryPledgeDetail", //id查询
    },
    specialPurpose: {
        // 特殊目的载体占比监控
        getList: ctx + '/api/specialPurposeEntityService/findSupervise' //查询列表
    },
    quotaOccupationWatch: {
        // 监管额度占用情况监控
        getList: ctx + '/api/superviseEmployQuotaService/getSuperviseQuota' //查询列表
    },
    credititemBank: {
        // 授信题库
        getByTreeId: ctx + '/api/creditAssessmentSubjects/find', //id查询
        getById: ctx + '/api/creditAssessmentSubjects/findById', //id查询
        del: ctx + '/api/dictionary/delete', //停用
        edit: ctx + '/api/creditAssessmentMenu/update', //编辑
        add: ctx + '/api/creditAssessmentMenu/create', //增加
        edit1: ctx + '/api/creditAssessmentSubjects/update', //编辑
        add1: ctx + '/api/creditAssessmentSubjects/create',
        findTree: ctx + '/api/creditAssessmentMenu/findTree' //
    },
    counterPartyCredits: {
        // 交易对手评定
        getList: ctx + '/api/counterPartyCredits/find', //查询列表
        getById: ctx + '/api/creditAssessmentDetails/find', //id查询
        getById2: ctx + '/api/counterPartyCredits/findById', //id查其他信息
        add: ctx + '/api/creditAssessmentDetails/create', //增加
        edit: ctx + '/api/creditAssessmentDetails/update', //
        addAprove: ctx + '/api/counterPartyCredits/addProgrammeApproval', //添加审核
        getPrade: ctx + '/api/calculationFormula/caculateScoreByCounterpartyIdAndSubjectId', //根据交易对手查初评分
        getLimit: ctx + '/api/calculationFormula/creditBySubjectId', //根据等级查授信额度
        findList: ctx + '/api/counterpartyService/findList', //证券公司 设置合并监管评级子公司名单
        preservation: ctx + '/api/creditAssessmentDetails/preservation', //保存数据
        batchAudit: ctx + '/api/creditAssessmentDetails/addSubmission' //批量审批
    },
    counterPartyCreditsAprove: {
        aprove: ctx + '/api/counterPartyCredits/approveProcess' //增加
    },
    creditassessmentstandards: {
        // 授信规则标准列表
        // getList: ctx + "/api/creditassessmentstandards/find", //查询列表
        getById: ctx + '/api/industryregulationlimits/find', //id查询
        add: ctx + '/api/creditAssessmentsModule/create', //增加
        findAll: ctx + '/api/creditassessmentstandards/findAll',
        keep: ctx + '/api/industryregulationlimits/create',
        keep2: ctx + '/api/blocWhiteListService/create',
        getById2: ctx + '/api/creditAssessmentsModule/find',
        aprove: ctx + '/api/creditassessmentstandards/addProgrammeApproval',
        getById3: ctx + '/api/blocWhiteListService/find' //規則列表查詢集团监控额度标准和白名单
    },

    creditassessmentstandardsApp: {
        aprove: ctx + '/api/creditassessmentstandards/approveProcess'
    },
    priceInquiry: {
        // 询价管理
        getListBF: ctx + '/api/priceInquiry/findBankFinancing', //银行理财查询
        getListID: ctx + '/api/priceInquiry/findInterBankDeposit', //同业查询列表
        getListEI: ctx + '/api/priceInquiry/findEntrusterBankFinancing', //委托投资查询列表
        getListGM: ctx + '/api/priceInquiryService/findBlocBankFinancing', //集团查询列表
        getListPub: ctx + '/api/priceInquiryService/find', //通用询价

        getById: ctx + '/api/priceInquiry/findById', //id查询
        getByPub: ctx + '/api/priceInquiryService/findByPriceInquiryId', //通用id查询
        addBF: ctx + '/api/priceInquiry/createBankFinancing', //增加
        addID: ctx + '/api/priceInquiry/createInterBankDeposit', //增加
        addEI: ctx + '/api/priceInquiry/createEntrusterBankFinancing', //增加
        addGM: ctx + '/api/priceInquiryService/createBlocBankFinancing', //集团增加
        addPub: ctx + '/api/priceInquiryService/createGeneralInquiry', //通用新增
        editPub: ctx + '/api/priceInquiryService/updateInquiry ', //通用修改
        sendEmail: ctx + '/api/priceInquiry/sendEmail', //
        sendPriceEmail: ctx + '/api/priceInquiry/sendPriceEmail', //
        sendSms: ctx + '/api/priceInquiry/sendSms',
        viewById: ctx + '/api/priceInquiry/viewById',
        viewById2: ctx + '/api/priceQuoteIBD/findById',
        exportSummary: ctx + '/api/priceInquiry/exportSummary',
        findLatest: ctx + '/api/priceInquiry/findLatest',
        keep: ctx + '/api/priceInquiryService/save' //保存

        //         /api/priceQuoteFinance/find
        // /api/priceQuoteIBD/find
    },
    priceQuoteFinance: {
        //报价
        getById: ctx + '/api/priceQuoteFinance/findAll', //id查询
        getById2: ctx + '/api/priceQuoteIBD/findAll', //id查询
        getByidEd: ctx + '/api/priceQuoteFinance/findAllQuoted', //id查询
        getByidEd2: ctx + '/api/priceQuoteIBD/findAllQuoted', //id查询
        exportSummary: ctx + '/api/priceInquiry/exportSummary' //导出报价
    },
    inquiryTemplat: {
        //模板管理
        getList: ctx + '/api/priceInquiryTemplateService/findAll', //查询列表
        getById: ctx + '/api/priceInquiryTemplateService/findById', //id查询
        del: ctx + '/api/priceInquiryTemplateService/delete', //停用
        edit: ctx + '/api/priceInquiryTemplateService/update', //编辑
        add: ctx + '/api/priceInquiryTemplateService/create', //增加
        byType: ctx + '/api/priceInquiryTemplateService/findByType'
    },
    BFbusinessPlanManag: {
        //业务方案管理
        getList: ctx + '/api/programmeService/find', //查询列表
        getById: ctx + '/api/programmeService/getByid', //id查询
        getByIdList: ctx + '/api/productService/getProductPageByProgrammeId',
        del: ctx + '/api/productService/delete', //停用
        edit: ctx + '/api/programmeService/edit', //编辑
        add: ctx + '/api/programmeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/programmeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/productService/findByproductid', //获取产品详情
        edit2: ctx + '/api/productService/update', //编辑产品
        sizeTrue: ctx + '/api/programmeService/updateQuotaCheck', //额度校验
        // sizeTrue: ctx + '/api/investmentRiskClassifyService/getSurplusQuota', //额度校验

        aprove: ctx + '/api/programmeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/programmeService/update', //修改上会状态

        findMeetinginfo: ctx + '/api/programmeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/programmeService/saveMeetinginfo', //上传会议纪要
        delMeetingFile: ctx + '/api/programmeService/deleteMeetinginfo', //删除会议纪要
        submitNext: ctx + '/api/programmeService/submitNext' //跟新生成审批表状态
    },
    BFbusinessPlanApproval: {
        aprove: ctx + '/api/programmeService/approveProcess' //流程
    },
    BFbusinessOperation: {
        getList: ctx + '/api/programmeBusiService/find', //查询列表

        getById: ctx + '/api/productBusiService/getProductPageByProgrammeId', //id查询
        getByIdList: ctx + '/api/programmeBusiService/getProductPageByProgrammeId',
        del: ctx + '/api/programmeBusiService/delete', //停用
        edit: ctx + '/api/productBusiService/update', //编辑
        add: ctx + '/api/programmeBusiService/create', //增加
        findByproductid: ctx + '/api/productBusiService/findByproductid', //获取方案编号
        aprove: ctx + '/api/programmeBusiService/addProgrammeApproval' //审核
    },
    businessOperationApproval: {
        aprove: ctx + '/api/programmeBusiService/approveProcess' //流程
    },
    BFaccountManag: {
        //台账
        getList: ctx + '/api/productAccountService/find', //查询列表

        getById: ctx + '/api/productAccountService/findByproductid', //id查询
        getByIdSon: ctx + '/api/productAccountService/findLedgerdetail', //id查询
        getByIdList: ctx + '/api/productAccountService/getProductPageByProgrammeId',

        edit: ctx + '/api/productAccountService/update', //编辑
        // productAccountService/update

        aprove: ctx + '/api/programmeAccountService/addProgrammeApproval', //审核
        history: ctx + '/api/productAccountService/findHistorydetail'
    },
    BFaccountManagApproval: {
        aprove: ctx + '/api/programmeAccountService/approveProcess' //审核
    },
    BFfindLedgerCount: {
        getList: ctx + '/api/productAccountService/findLedgerCount' //查询列表
    },
    // ILbusinessPlanManag: {
    //     //同业拆借
    //     getList: ctx + '/api/borrowProgrammeService/find', //查询列表
    //     getById: ctx + '/api/borrowProgrammeService/getByid', //id查询
    //     getByIdList: ctx + '/api/borrowProductService/getProductPageByProgrammeId',
    //     del: ctx + '/api/borrowProductService/delete', //停用
    //     edit: ctx + '/api/borrowProgrammeService/edit', //编辑
    //     add: ctx + '/api/borrowProgrammeService/create', //增加

    //     getProgrammeSerialNo: ctx + '/api/borrowProgrammeService/getProgrammeSerialNo', //获取方案编号
    //     getByid2: ctx + '/api/borrowProductService/findByproductid', //获取产品详情
    //     edit2: ctx + '/api/borrowProductService/update', //编辑产品
    //     sizeTrue: ctx + '/api/borrowProgrammeService/updateQuotaCheck', //额度校验
    //     aprove: ctx + '/api/borrowProgrammeService/addProgrammeApproval', //审核
    //     editResolution: ctx + '/api/borrowProgrammeService/update', //修改上会状态
    //     findMeetinginfo: ctx + '/api/borrowProgrammeService/findMeetinginfo', //查会议纪要和上会状态
    //     parseFile: ctx + '/api/borrowProgrammeService/saveMeetinginfo', //上传会议纪要
    //     delMeetingFile: ctx + '/api/borrowProgrammeService/deleteMeetinginfo', //删除会议
    //     submitNext: ctx + '/api/borrowProgrammeService/submitNext', //跟新生成审批表状态

    //     checkOnceRule: ctx + '/api/borrowProgrammeService/checkOnceRule' //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
    // },
    ILbusinessPlanApproval: {
        aprove: ctx + '/api/borrowProgrammeService/approveProcess' //流程
    },
    ILbusinessOperation: {
        //业务操作
        getList: ctx + '/api/borrowProgrammeBusiService/find', //查询列表

        getByIdList: ctx + '/api/borrowProgrammeBusiService/getProductPageByProgrammeId',
        del: ctx + '/api/borrowProgrammeBusiService/delete', //停用
        add: ctx + '/api/borrowProgrammeBusiService/create', //增加
        aprove: ctx + '/api/borrowProgrammeBusiService/addProgrammeApproval', //审核
        findByproductid: ctx + '/api/borrowProductBusiService/findByproductid', //获取方案编号
        getById: ctx + '/api/borrowProductBusiService/getProductPageByProgrammeId', //id查询
        edit: ctx + '/api/borrowProductBusiService/update', //编辑

        getPDF: ctx + '/api/borrowProgrammeService/parse', //读取pdf

        isTrueCheckFile: ctx + '/api/borrowProductBusiService/isTrueCheckFile' //检验数据 同业拆借-业务操作-编辑-上传文件后
    },
    ILbusinessOperationApproval: {
        aprove: ctx + '/api/borrowProgrammeBusiService/approveProcess' //流程
    },
    ILaccountManag: {
        //台账
        getList: ctx + '/api/borrowProductAccountService/find', //查询列表
        getById: ctx + '/api/borrowProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/borrowProductAccountService/getProductPageByProgrammeId',
        edit: ctx + '/api/borrowProductAccountService/update', //编辑
        aprove: ctx + '/api/borrowProgrammeAccountService/addProgrammeApproval' //审核
    },
    ILaccountManagApproval: {
        aprove: ctx + '/api/borrowProgrammeAccountService/approveProcess' //审核
    },
    ILstatisticsOfAccount: {
        getList: 'api/borrowProductAccountService/findLedgerCount'
    },
    BBbusinessPlanManag: {
        //债券业务
        getList: ctx + '/api/bondProgrammeService/find', //查询列表
        getById: ctx + '/api/bondProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/bondProductService/getProductPageByProgrammeId',
        del: ctx + '/api/bondProductService/delete', //停用
        edit: ctx + '/api/bondProgrammeService/edit', //编辑
        add: ctx + '/api/bondProgrammeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/bondProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/bondProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/bondProductService/update', //编辑产品
        sizeTrue: ctx + '/api/bondProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/bondProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/bondProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/bondProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/bondProgrammeService/saveMeetinginfo', //上传会议
        delMeetingFile: ctx + '/api/bondProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/bondProgrammeService/submitNext' //跟新生成审批表状态
    },
    BBbusinessPlanApproval: {
        aprove: ctx + '/api/bondProgrammeService/approveProcess' //流程
    },
    BBbusinessOperation: {
        //业务操作
        getList: ctx + '/api/bondProgrammeBusiService/find', //查询列表

        getById: ctx + '/api/bondProductBusiService/getProductPageByProgrammeId', //id查询
        getByIdList: ctx + '/api/bondProgrammeService/getProductPageByProgrammeId',
        del: ctx + '/api/bondProgrammeService/delete', //停用
        edit: ctx + '/api/bondProductBusiService/update', //编辑
        add: ctx + '/api/bondProgrammeService/create', //增加
        findByproductid: ctx + '/api/bondProductBusiService/findByproductid', //获取方案编号
        aprove: ctx + '/api/bondProgrammeBusiService/addProgrammeApproval' //审核
    },
    BBbusinessOperationApproval: {
        aprove: ctx + '/api/bondProgrammeBusiService/approveProcess' //流程
    },
    BBaccountManag: {
        //台账
        getList: ctx + '/api/bondProductAccountService/find', //查询列表

        getById: ctx + '/api/bondProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/bondProgrammeAccountService/getProductPageByProgrammeId',

        edit: ctx + '/api/bondProductAccountService/update', //编辑

        aprove: ctx + '/api/bondProgrammeAccountService/addProgrammeApproval' //审核
    },
    BBaccountManagApproval: {
        aprove: ctx + '/api/bondProgrammeAccountService/approveProcess' //审核
    },
    // IDbusinessPlanManag: {
    //     //同业存款
    //     getList: ctx + '/api/depositProgrammeService/find', //查询列表
    //     getById: ctx + '/api/depositProgrammeService/getByid', //id查询
    //     getByIdList: ctx + '/api/depositProductService/getProductPageByProgrammeId',
    //     del: ctx + '/api/depositProductService/delete', //停用
    //     edit: ctx + '/api/depositProgrammeService/edit', //编辑
    //     add: ctx + '/api/depositProgrammeService/create', //增加

    //     getProgrammeSerialNo: ctx + '/api/depositProgrammeService/getProgrammeSerialNo', //获取方案编号
    //     getByid2: ctx + '/api/depositProductService/findByproductid', //获取产品详情
    //     edit2: ctx + '/api/depositProductService/update', //编辑产品
    //     sizeTrue: ctx + '/api/depositProgrammeService/updateQuotaCheck', //额度校验
    //     aprove: ctx + '/api/depositProgrammeService/addProgrammeApproval', //审核
    //     editResolution: ctx + '/api/depositProgrammeService/update', //修改上会状态
    //     findMeetinginfo: ctx + '/api/depositProgrammeService/findMeetinginfo', //查会议纪要和上会状态
    //     parseFile: ctx + '/api/depositProgrammeService/saveMeetinginfo', //上传会议
    //     delMeetingFile: ctx + '/api/depositProgrammeService/deleteMeetinginfo', //删除会议
    //     submitNext: ctx + '/api/depositProgrammeService/submitNext', //跟新生成审批表状态

    //     findMyPriceInquiry: ctx + '/api/priceInquiry/findMyPriceInquiry', //导入报价数据列表
    //     findByPriceinquiryId: ctx + '/api/depositProgrammeService/findByPriceinquiryId', //导入报价数据
    //     getInvestenddate: ctx + '/api/depositProgrammeService/getInvestenddate' //导入报价数据后 下一步需要调的接口
    // },

    shibor: {
        getList: ctx + '/api/windShibor/findLatest'
    },

    IDbusinessPlanApproval: {
        aprove: ctx + '/api/depositProgrammeService/approveProcess' //流程
    },
    IDbusinessOperation: {
        //业务操作
        getList: ctx + '/api/depositProgrammeBusiService/find', //查询列表

        getByIdList: ctx + '/api/depositProgrammeBusiService/getProductPageByProgrammeId',
        del: ctx + '/api/depositProgrammeBusiService/delete', //停用
        add: ctx + '/api/depositProgrammeBusiService/create', //增加
        aprove: ctx + '/api/depositProgrammeBusiService/addProgrammeApproval', //审核
        findByproductid: ctx + '/api/depositProductBusiService/findByproductid', //获取方案编号
        getById: ctx + '/api/depositProductBusiService/getProductPageByProgrammeId', //id查询
        edit: ctx + '/api/depositProductBusiService/update', //编辑

    },
    IDbusinessOperationApproval: {
        aprove: ctx + '/api/depositProgrammeBusiService/approveProcess' //流程
    },
    IDaccountManag: {
        //台账
        getList: ctx + '/api/depositProductAccountService/find', //查询列表
        getById: ctx + '/api/depositProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/depositProductAccountService/getProductPageByProgrammeId',
        edit: ctx + '/api/depositProductAccountService/update', //编辑
        aprove: ctx + '/api/depositProgrammeAccountService/addProgrammeApproval' //审核
    },
    IDaccountManagApproval: {
        aprove: ctx + '/api/depositProgrammeAccountService/approveProcess' //审核
    },
    IDstatisticsOfAccount: {
        getList: ctx + '/api/depositProductAccountService/findByDateBetween' //统计
    },
    // PRRbusinessPlanManag: {
    //     //质押式逆回购

    //     getList: ctx + '/api/pledgeProgrammeService/find', //查询列表
    //     getById: ctx + '/api/pledgeProgrammeService/getByid', //id查询
    //     getByIdList: ctx + '/api/pledgeProductService/getProductPageByProgrammeId',
    //     del: ctx + '/api/pledgeProductService/delete', //停用
    //     edit: ctx + '/api/pledgeProgrammeService/edit', //编辑
    //     add: ctx + '/api/pledgeProgrammeService/create', //增加

    //     getProgrammeSerialNo: ctx + '/api/pledgeProgrammeService/getProgrammeSerialNo', //获取方案编号
    //     getByid2: ctx + '/api/pledgeProductService/findByproductid', //获取产品详情
    //     edit2: ctx + '/api/pledgeProductService/update', //编辑产品
    //     sizeTrue: ctx + '/api/pledgeProgrammeService/updateQuotaCheck', //额度校验
    //     aprove: ctx + '/api/pledgeProgrammeService/addProgrammeApproval', //审核
    //     editResolution: ctx + '/api/pledgeProgrammeService/update', //修改上会状态
    //     findMeetinginfo: ctx + '/api/pledgeProgrammeService/findMeetinginfo', //查会议纪要和上会状态
    //     parseFile: ctx + '/api/pledgeProgrammeService/saveMeetinginfo', //上传会议
    //     delMeetingFile: ctx + '/api/pledgeProgrammeService/deleteMeetinginfo', //删除会议
    //     submitNext: ctx + '/api/pledgeProgrammeService/submitNext', //跟新生成审批表状态

    //     checkOnceRule: ctx + '/api/pledgeProgrammeService/checkOnceRule' //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
    // },
    PRRbusinessPlanApproval: {
        aprove: ctx + '/api/pledgeProgrammeService/approveProcess' //流程
    },
    PRRbusinessOperation: {
        //业务操作
        getList: ctx + '/api/pledgeProgrammeBusiService/find', //查询列表

        getByIdList: ctx + '/api/pledgeProgrammeBusiService/getProductPageByProgrammeId',
        del: ctx + '/api/pledgeProgrammeBusiService/delete', //停用
        add: ctx + '/api/pledgeProgrammeBusiService/create', //增加
        aprove: ctx + '/api/pledgeProgrammeBusiService/addProgrammeApproval', //审核
        findByproductid: ctx + '/api/pledgeProductBusiService/findByproductid', //获取方案编号
        getById: ctx + '/api/pledgeProductBusiService/getProductPageByProgrammeId', //id查询
        edit: ctx + '/api/pledgeProductBusiService/update', //编辑

        getPDF: ctx + '/api/pledgeProgrammeService/parse',

        isTrueCheckFile: ctx + '/api/pledgeProductBusiService/isTrueCheckFile' //检验数据 同业拆借-业务操作-编辑-上传文件后
    },
    PRRbusinessOperationApproval: {
        aprove: ctx + '/api/pledgeProgrammeBusiService/approveProcess' //流程
    },
    PRRaccountManag: {
        //台账
        getList: ctx + '/api/pledgeProductAccountService/find', //查询列表
        getById: ctx + '/api/pledgeProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/pledgeProductAccountService/getProductPageByProgrammeId',
        edit: ctx + '/api/pledgeProductAccountService/update', //编辑
        aprove: ctx + '/api/pledgeProgrammeAccountService/addProgrammeApproval' ,//审核
        uploadFile: ctx + '/api/importLedgerFrameworkService/uploadFile', //批量新增 上传
        // getTodoTask: ctx + '/api/processService/getTodoTask', //批量新增 下载
        importData: ctx + '/api/pledgeProductAccountService/importData' //批量新增 下一步
    },
    PRRaccountManagApproval: {
        aprove: ctx + '/api/pledgeProgrammeAccountService/approveProcess' //审核
    },
    // PRRstatisticsOfAccount:{
    //   getList:'api/pledgProductAccountService/findLedgerCount'
    // },
    PRRstatisticsOfAccount: {
        getList: 'api/pledgeProductAccountService/findLedgerCount'
    },
    // CODbusinessPlanManag: {
    //     //同业存单
    //     getList: ctx + '/api/ticketProgrammeService/find', //查询列表
    //     getById: ctx + '/api/ticketProgrammeService/getByid', //id查询
    //     getByIdList: ctx + '/api/ticketProductService/getProductPageByProgrammeId',
    //     del: ctx + '/api/ticketProductService/delete', //停用
    //     edit: ctx + '/api/ticketProgrammeService/edit', //编辑
    //     add: ctx + '/api/ticketProgrammeService/create', //增加

    //     getProgrammeSerialNo: ctx + '/api/ticketProgrammeService/getProgrammeSerialNo', //获取方案编号
    //     getByid2: ctx + '/api/ticketProductService/findByproductid', //获取产品详情
    //     edit2: ctx + '/api/ticketProductService/update', //编辑产品
    //     sizeTrue: ctx + '/api/ticketProgrammeService/updateQuotaCheck', //额度校验
    //     aprove: ctx + '/api/ticketProgrammeService/addProgrammeApproval', //审核
    //     editResolution: ctx + '/api/ticketProgrammeService/update', //修改上会状态
    //     findMeetinginfo: ctx + '/api/ticketProgrammeService/findMeetinginfo', //查会议纪要和上会状态
    //     parseFile: ctx + '/api/ticketProgrammeService/saveMeetinginfo', //上传会议
    //     delMeetingFile: ctx + '/api/ticketProgrammeService/deleteMeetinginfo', //删除会议
    //     submitNext: ctx + '/api/ticketProgrammeService/submitNext' //跟新生成审批表状态
    // },
    CODbusinessPlanApproval: {
        aprove: ctx + '/api/ticketProgrammeService/approveProcess' //流程
    },
    CODbusinessOperation: {
        //业务操作
        getList: ctx + '/api/ticketProgrammeBusiService/find', //查询列表

        getById: ctx + '/api/ticketProductBusiService/getProductPageByProgrammeId', //id查询
        getByIdList: ctx + '/api/ticketProgrammeService/getProductPageByProgrammeId',
        del: ctx + '/api/ticketProgrammeService/delete', //停用
        edit: ctx + '/api/ticketProductBusiService/update', //编辑
        add: ctx + '/api/ticketProgrammeService/create', //增加
        getPDF: ctx + '/api/ticketProgrammeService/parse',
        findByproductid: ctx + '/api/ticketProductBusiService/findByproductid', //获取方案编号
        aprove: ctx + '/api/ticketProgrammeBusiService/addProgrammeApproval' //审核
    },
    CODbusinessOperationApproval: {
        aprove: ctx + '/api/ticketProgrammeBusiService/approveProcess' //流程
    },
    CODaccountManag: {
        //台账
        getList: ctx + '/api/ticketProductAccountService/find', //查询列表

        getById: ctx + '/api/ticketProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/ticketProgrammeAccountService/getProductPageByProgrammeId',

        edit: ctx + '/api/ticketProductAccountService/update', //编辑

        aprove: ctx + '/api/ticketProgrammeAccountService/addProgrammeApproval' //审核
    },
    CODaccountManagApproval: {
        aprove: ctx + '/api/ticketProgrammeAccountService/approveProcess' //审核
    },
    CODbusinessoperationaccount: {
        getList: ctx + '/api/ticketProductAccountService/findLedgerCount', //查询列表
        getAvg: ctx + '/api/ticketProductAccountService/findLedgerTicketAvg' //获取avg
    },

    // 业务规则管理
    Businessrulemanagement: {
        find: ctx + '/api/businessRuleService/find', //查询列表
        create: ctx + '/api/businessRuleService/create', //新增
        delete: ctx + '/api/businessRuleService/delete', //删除
        update: ctx + '/api/businessRuleService/update', //修改
        findById: ctx + '/api/businessRuleService/findById' //查看详情
    },

    FIbusinessPlanManag: {
        //基金投资
        getList: ctx + '/api/fundProgrammeService/find', //查询列表
        getById: ctx + '/api/fundProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/fundProductService/getProductPageByProgrammeId',
        del: ctx + '/api/fundProductService/delete', //停用
        edit: ctx + '/api/fundProgrammeService/edit', //编辑
        add: ctx + '/api/fundProgrammeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/fundProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/fundProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/fundProductService/update', //编辑产品
        sizeTrue: ctx + '/api/fundProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/fundProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/fundProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/fundProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/fundProgrammeService/saveMeetinginfo', //上传会
        delMeetingFile: ctx + '/api/fundProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/fundProgrammeService/submitNext' //跟新生成审批表状态
    },
    FIbusinessPlanApproval: {
        aprove: ctx + '/api/fundProgrammeService/approveProcess' //流程
    },
    FIbusinessOperation: {
        //业务操作
        getList: ctx + '/api/fundProgrammeBusiService/find', //查询列表

        getById: ctx + '/api/fundProductBusiService/getProductPageByProgrammeId', //id查询
        getByIdList: ctx + '/api/fundProgrammeService/getProductPageByProgrammeId',
        del: ctx + '/api/fundProgrammeService/delete', //停用
        edit: ctx + '/api/fundProductBusiService/update', //编辑
        add: ctx + '/api/fundProgrammeService/create', //增加
        findByproductid: ctx + '/api/fundProductBusiService/findByproductid', //获取方案编号
        aprove: ctx + '/api/fundProgrammeBusiService/addProgrammeApproval' //审核
    },
    FIbusinessOperationApproval: {
        aprove: ctx + '/api/fundProgrammeBusiService/approveProcess' //流程
    },
    FIaccountManag: {
        //台账
        getList: ctx + '/api/fundProductAccountService/find', //查询列表

        getById: ctx + '/api/fundProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/fundProgrammeAccountService/getProductPageByProgrammeId',

        edit: ctx + '/api/fundProductAccountService/update', //编辑

        aprove: ctx + '/api/fundProgrammeAccountService/addProgrammeApproval' //审核
    },
    FIaccountManagApproval: {
        aprove: ctx + '/api/fundProgrammeAccountService/approveProcess' //审核
    },
    FIcapitalReconciliation: {
        //资金对账
        getList: ctx + '/api/fundProductAccountService/findCountByName', //查询列表
        add: ctx + '/api/fundProductAccountService/createCountReport',
        getListP: ctx + '/api/fundProductAccountService/findLedgerCount',
        type: ctx + '/api/fundProductAccountService/findReportName',
        getDate: ctx + '/api/fundProductAccountService/findDatadatePurchase'
    },
    EIbusinessPlanManag: {
        //委托投资
        getList: ctx + '/api/commissionBusinessManager/find', //查询列表
        // getById: ctx + "/api/commissionBusinessManagerDetail/findById", //id查询
        getByIdList: ctx + '/api/commissionBusinessManagerDetail/findAll',

        del: ctx + '/api/commissionBusinessManagerDetail/delete', //停用
        // edit: ctx + "/api/commissionBusinessManager/create", //编辑
        add: ctx + '/api/commissionBusinessManager/create', //增加
        add2: ctx + '/api/commissionBusinessManagerDetail/create',
        // getProgrammeSerialNo: ctx + "/api/fundProgrammeService/getProgrammeSerialNo", //获取方案编号
        getByid2: ctx + '/api/commissionBusinessManagerDetail/findById', //获取产品详情
        edit2: ctx + '/api/commissionBusinessManagerDetail/update', //编辑产品
        sizeTrue: ctx + '/api/commissioBusinessOperating/checkBalance', //额度校验
        aprove: ctx + '/api/commissionBusinessManager/addProgrammeApproval', //审核
        makeNumber: ctx + '/api/commissionBusinessManager/makeNumber', //生成编码
        editResolution: ctx + '/api/commissionBusinessManager/update', //修改上会状态
        findMeetinginfo: ctx + '/api/commissionBusinessManager/findById', //查会议纪要和上会状态/api/commissionBusinessManager/findById
        parseFile: ctx + '/api/commissionBusinessManager/update', //上传会
        delMeetingFile: ctx + '/api/commissionBusinessManager/deleteMeetinginfo' //删除会议
    },
    EIbusinessPlanApproval: {
        aprove: ctx + '/api/commissionBusinessManager/approveProcess' //流程
    },
    EIbusinessOperation: {
        //业务操作
        getList: ctx + '/api/commissioBusinessOperating/find', //查询列表

        getById: ctx + '/api/commissioBusinessOperatingDetail/findAll', //id查询
        // getByIdList:ctx+'/api/commissioBusinessOperatingDetail/findAll',
        // del: ctx + "/api/fundProgrammeService/delet", //停用
        edit: ctx + '/api/commissioBusinessOperatingDetail/update', //编辑
        // add: ctx + "/api/fundProgrammeService/create", //增加
        findByproductid: ctx + '/api/commissioBusinessOperatingDetail/findById',
        aprove: ctx + '/api/commissioBusinessOperating/addProgrammeApproval', //审核
        isCheck: ctx + '/api/entrusterBankAccountService/checkQuate',
        accout: ctx + '/api/entrusterBankAccountService/find', //查询所有账户
        protocolContract: ctx + '/api/commissioBusinessOperatingDetailService/findprotocolNumberChildAndContract' //根据协议查合同
    },
    EIbusinessOperationApproval: {
        aprove: ctx + '/api/commissioBusinessOperating/approveProcess' //流程
    },
    EIaccountManag: {
        //台账
        getList: ctx + '/api/commissionAccount/find', //查询列表

        getById: ctx + '/api/commissionAccount/findById', //id查询
        // getByIdList:ctx+'/api/fundProgrammeAccountService/getProductPageByProgrammeId',

        edit: ctx + '/api/commissionAccount/update', //编辑

        aprove: ctx + '/api/commissionAccount/addProgrammeApproval' //审核
    },
    EIaccountManagApproval: {
        aprove: ctx + '/api/commissionAccount/approveProcess' //审核
    },
    EIinterestSupplement: {
        //投资补息业务
        getList: ctx + '/api/commissionInvestmentSupplement/find', //查询列表
        getById: ctx + '/api/commissionInvestmentSupplement/findById', //id查询
        upList: ctx + '/api/commissionInvestmentSupplement/update',
        seadMsg: ctx + '/api/commissionInvestmentSupplementService/sendSupplementData' //查询列表
    },
    EIfundSplitAccount: {
        //投资到期
        getList: ctx + '/api/commissionInvestmentExpire/find', //查询列表
        getById: ctx + '/api/commissionInvestmentExpire/findById', //id查询
        edit: ctx + '/api/commissionInvestmentExpire/update', //更新
        fundsRegistration: ctx + '/api/commissionInvestmentExpire/fundsRegistration', //资金登记
        fundsInfomation: ctx + '/api/commissionInvestmentExpire/fundsInfomation', //资金详情
        findAll: ctx + '/api/commissionInvestmentExpireDetailService/findAll', //投资到期列表findAll
        find: ctx + '/api/commissionInvestmentExpireDetailService/find', //投资到期补息业务find
        getById2: ctx + '/api/commissionInvestmentExpireDetailService/findById', //根据从表明细主键查询
        edit2: ctx + '/api/commissionInvestmentExpireDetailService/update', //从表更新
        aprove: ctx + '/api/commissionInvestmentExpire/addProgrammeApproval' //审核
    },
    EIfundSplitAccountApproval: {
        aprove: ctx + '/api/commissionInvestmentExpire/approveProcess' //审核
    }, //
    EIaccountingForFunds: {
        //资金入账
        aprove: ctx + '/api/commissionInvestmentAccountService/addProgrammeApproval' //添加审核
    },
    EIaccountingForFundsApproval: {
        //资金入账审核
        aprove: ctx + '/api/commissionInvestmentAccountService/approveProcess' //添加审核
    },
    EIcapitalReconciliation: {
        //资金对账
        getList: ctx + '/api/financeReconciliationService/find', //查询列表
        reconciliation: ctx + '/api/financeReconciliationService/reconciliation'
    },
    EIinterestAtMaturity: {
        //到期补息
        getList: ctx + '/api/commissionInvestmentExpireDetailService/find', //查询列表
        getById: ctx + '/api/commissionInvestmentExpireDetailService/findById',
        seadMsg: ctx + '/api/commissionInvestmentExpireDetailService/sendExpireData' //查询列表
    },
    protocolnumber: {
        //协议编号
        getList: ctx + '/api/commissionBusinessManagerDetailService/findByProgramNumber', //查询列表 新需求 LSY
        getList2: ctx + '/api/commissionProtocolNumber/find', //查询列表
        getById: ctx + '/api/commissionProtocolNumber/findById', //id查询
        edit: ctx + '/api/commissionProtocolNumber/update', //编辑
        add: ctx + '/api/commissionProtocolNumber/create', //增加
        type: ctx + '/api/commissionBusinessManagerDetail/findCommissionShortName', //根据业务查询未有协议编号的委托方名称
        addAprove: ctx + '/api/commissionProtocolNumber/addProgrammeApproval', //审核
        aprove: ctx + '/api/commissionProtocolNumber/approveProcess', //审核
        findCommissionNameAndCode: ctx + '/api/commissionFrameworkAgreementService/find', //       查询委投方编号和委投全称
        // findCommissionNameAndCode: ctx +'/api/commissionFrameworkAgreementService/findCommissionNameAndCode', //       查询委投方编号和委投全称
        findByAccountAndClassification: ctx + '/api/entrusterBankAccountService/findByAccountAndClassification', //查询账户
        frameworkAgreementNumber: ctx + '/api/commissionFrameworkAgreementService/find',
        findNumber: ctx + '/api/commissionBusinessManagerService/find', //
        commissionAll: ctx + '/api/commissionBusinessManagerDetailService/findAll', //
        commissionFind: ctx + '/api/commissionBusinessManagerDetailService/findCommissionBusinessManagerId', //查询对相应的方案编号
        xieyiNum: ctx + '/api/commissionProtocolNumberService/find', //查询所有的协议编号
        xieByid: ctx + '/api/commissionProtocolNumberService/findById', //查询协议编号的详细信息
        connext: ctx + '/api/commissionProtocolNumberService/findProtocolJoinProduct', //关联产品合同commissionProtocolNumberService
        contract: ctx + '/api/financeBusinessProduct/findByprogramNumberAndCounterparty', //关联产品协议
        agreement: ctx + '/api/commissionProtocolNumberService/findByShortName', //协议
        addProgrammeApproval: ctx + 'api/commissionProtocolNumber/addProgrammeApproval', //生成协议子编号 提交
        addAprove_new: ctx + '/api/commissionProtocolNumberService/addProgrammeApproval', //新换子协议编号 提交按钮
        aprove_new: ctx + '/api/commissionProtocolNumberService/approveProcess', //新换子协议编号 提交按钮
        updateIAmount: ctx + '/api/commissionProtocolNumberService/updateInvestmentAmount', //协议子协议编号提交
        noApprove: ctx + '/api/commissionProtocolNumberService/noApproval',
        amend_Deal: ctx + '/api/commissionProtocolNumberService/create' //修改协议接口
    },
    frameworkagreement: {
        //协议框架
        getList: ctx + '/api/commissionFrameworkAgreement/find', //查询列表
        getById: ctx + '/api/commissionFrameworkAgreement/findById', //id查询
        edit: ctx + '/api/commissionFrameworkAgreement/update', //编辑
        add: ctx + '/api/commissionFrameworkAgreement/create', //增加
        type: ctx + '/api/entrusterBankAccountService/findAccountAndName', //增加

        addAprove: ctx + '/api/commissionFrameworkAgreement/addProgrammeApproval', //发起审核
        aprove: ctx + '/api/commissionFrameworkAgreement/approveProcess' //审核
    },
    financeBusinessProduct: {
        //委投的产品信息
        getList: ctx + '/api/financeBusinessProduct/find', //查询列表
        getById: ctx + '/api/financeBusinessProduct/findById', //id查询
        edit: ctx + '/api/financeBusinessProduct/update', //编辑
        add: ctx + '/api/financeBusinessProduct/create' //增加
    },
    productManag: {
        //产品合同管理
        getList: ctx + '/api/financeBusinessProduct/find', //查询列表
        getById: ctx + '/api/financeBusinessProduct/findById', //id查询
        edit: ctx + '/api/financeBusinessProduct/update', //编辑
        add: ctx + '/api/financeBusinessProduct/create', //增加
        isTrue: ctx + '/api/productBusiService/findContractCode', //增加
        amend_Contract: ctx + '/api/financeBusinessProduct/update' //修改合同接口
    },
    findAdvice: {
        //审核意见常用
        getList: ctx + '/api/bondProgrammeService/findAdvice', //查询列表
        add: ctx + '/api/bondProgrammeService/addAdvice' //增加
    },
    // 同业划拨
    sameIndustry: {
        create: ctx + '/api/interbankFundTransferSuggestService/create', //新增划拨
        delete: ctx + '/api/interbankFundTransferSuggestService/delete', //删除划拨
        find: ctx + '/api/interbankFundTransferSuggestService/find', //查询划拨
        update: ctx + '/api/interbankFundTransferSuggestService/update', //修改划拨
        findById: ctx + '/api/interbankFundTransferSuggestService/findById', //修改划拨
        fundTransferList: ctx + '/api/interbankFundTransferSuggestService/saveRemarks', //保存备注
        createData: ctx + '/api/interbankFundTransferSuggestService/createByprogrammeParams' //根据资金业务建议创建划拨数据
    },
    // 资金划拨
    // 企业资金划拨
    enterprise: {
        getList: ctx + '/api/capitalOperateCompanyService/find', //列表查询
        addList: ctx + '/api/capitalOperateCompanyService/create', //创建划拨
        capitalFind: ctx + '/api/fundTransferCompanyService/find', //划拨查询
        delList: ctx + '/api/fundTransferCompanyService/delete', //划拨删除
        findById: ctx + '/api/fundTransferCompanyService/findById', //划拨查询单条
        update: ctx + '/api/fundTransferCompanyService/update', //编辑划拨
        nextEvevt: ctx + '/api/capitalOperateCompanyService/generateApprovalcode', //下一步事件
        updateById: ctx + '/api/capitalOperateCompanyService/updateById', // 修改审批方式
        addProgramme: ctx + '/api/capitalOperateCompanyService/addProgrammeApproval', //资金操作提交审批
        parseFile: ctx + '/api/capitalOperateCompanyService/saveMeetinginfo', //上传附件
        deleteMeetinginfo: ctx + '/api/capitalOperateCompanyService/deleteMeetinginfo', //附件删除
        approveProgramme: ctx + '/api/capitalOperateCompanyService/approveProcess', //资金操作提交 复审

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页 未处理
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页 已处理

        logFind: ctx + '/api/investmentproductOperatingLogService/find', //划拨查询 记录
        detailFind: ctx + '/api/processService/getCommentsByProcinstid', //划拨查询 审批详情

        getProcessIntanceByPage: ctxForm + '/getProcessIntanceByPage', //

        delete: ctx + '/api/capitalOperateCompanyService/delete', //方案删除
        // 导出
        export: ctx + '/api/capitalOperateCompanyService/exportData'
    },
    // 同业资金划拨
    interBank: {
        find: ctx + '/api/capitalOperateTradeService/find', //列表查询
        Tradecreate: ctx + '/api/capitalOperateTradeService/create', //创建
        Tradedelete: ctx + '/api/fundTransferTradeService/delete', //删除
        TradeFind: ctx + '/api/fundTransferTradeService/find', //划拨查询
        updateById: ctx + '/api/capitalOperateTradeService/updateById', //x修改
        findById: ctx + '/api/fundTransferTradeService/findById', //划拨查询单条
        update: ctx + '/api/fundTransferTradeService/update', //编辑划拨
        logFind: ctx + '/api/investmentproductOperatingLogService/find', //划拨查询 记录
        detailFind: ctx + '/api/processService/getCommentsByProcinstid', //划拨查询 审批详情
        parseFile: ctx + '/api/capitalOperateTradeService/saveMeetinginfo', //上传附件
        deleteMeetinginfo: ctx + '/api/capitalOperateTradeService/deleteMeetinginfo', //附件删除
        generateNumbering: ctx + '/api/capitalOperateTradeService/generateApprovalcode', //生成审批编号

        getProcessIntanceByPage: ctxForm + '/getProcessIntanceByPage', //

        interBankAddApproval: ctx + '/api/capitalOperateTradeService/addProgrammeApproval', //审批 add
        interBankApproval: ctx + '/api/capitalOperateTradeService/approveProcess', //审批 复评

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页 未处理
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页 已处理

        delete: ctx + '/api/capitalOperateTradeService/delete', //方案删除

        aprove: ctx + '/api/programmeAccountService/addProgrammeApproval', //审核
        history: ctx + '/api/productAccountService/findHistorydetail',
        // 导出
        export: ctx + '/api/capitalOperateTradeService/exportData'
    },
    ILbusinessPlanManag: {
        //同业拆借
        getList: ctx + '/api/borrowProgrammeService/find', //查询列表
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        getById: ctx + '/api/borrowProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/borrowProductService/getProductPageByProgrammeId',
        del: ctx + '/api/borrowProductService/delete', //停用
        edit: ctx + '/api/borrowProgrammeService/edit', //编辑
        add: ctx + '/api/borrowProgrammeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/borrowProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/borrowProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/borrowProductService/update', //编辑产品
        sizeTrue: ctx + '/api/borrowProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/borrowProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/borrowProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/borrowProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/borrowProgrammeService/saveMeetinginfo', //上传会议纪要
        delMeetingFile: ctx + '/api/borrowProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/borrowProgrammeService/submitNext', //跟新生成审批表状态

        checkOnceRule: ctx + '/api/borrowProgrammeService/checkOnceRule' //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
    },
    IDbusinessPlanManag: {
        //同业存款
        getList: ctx + '/api/depositProgrammeService/find', //查询列表
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        getById: ctx + '/api/depositProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/depositProductService/getProductPageByProgrammeId',
        del: ctx + '/api/depositProductService/delete', //停用
        edit: ctx + '/api/depositProgrammeService/edit', //编辑
        add: ctx + '/api/depositProgrammeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/depositProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/depositProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/depositProductService/update', //编辑产品
        sizeTrue: ctx + '/api/depositProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/depositProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/depositProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/depositProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/depositProgrammeService/saveMeetinginfo', //上传会议
        delMeetingFile: ctx + '/api/depositProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/depositProgrammeService/submitNext', //跟新生成审批表状态

        findMyPriceInquiry: ctx + '/api/priceInquiry/findMyPriceInquiry', //导入报价数据列表
        findByPriceinquiryId: ctx + '/api/depositProgrammeService/findByPriceinquiryId', //导入报价数据
        getInvestenddate: ctx + '/api/depositProgrammeService/getInvestenddate', //导入报价数据后 下一步需要调的接口
        checkOnceRule: ctx + '/api/depositProgrammeService/checkOnceRule', //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
        deleteByProgramme:  ctx + '/api/interbankFundTransferSuggestService/deleteByProgrammeid' // 删除所有划拨数据
    },
    PRRbusinessPlanManag: {
        //质押式逆回购

        getList: ctx + '/api/pledgeProgrammeService/find', //查询列表
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        getById: ctx + '/api/pledgeProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/pledgeProductService/getProductPageByProgrammeId',
        del: ctx + '/api/pledgeProductService/delete', //停用
        edit: ctx + '/api/pledgeProgrammeService/edit', //编辑
        add: ctx + '/api/pledgeProgrammeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/pledgeProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/pledgeProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/pledgeProductService/update', //编辑产品
        sizeTrue: ctx + '/api/pledgeProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/pledgeProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/pledgeProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/pledgeProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/pledgeProgrammeService/saveMeetinginfo', //上传会议
        delMeetingFile: ctx + '/api/pledgeProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/pledgeProgrammeService/submitNext', //跟新生成审批表状态

        checkOnceRule: ctx + '/api/pledgeProgrammeService/checkOnceRule' //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
    },

    // 交易所质押式报价回购
    PQRbusinessPlanManag: {
        getList: ctx + '/api/exchangePledgeQuoteProgrammeService/find', //查询列表
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        getById: ctx + '/api/exchangePledgeQuoteProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/exchangePledgeQuoteProductService/getProductPageByProgrammeId',
        del: ctx + '/api/exchangePledgeQuoteProductService/delete', //停用
        edit: ctx + '/api/exchangePledgeQuoteProgrammeService/edit', //编辑
        add: ctx + '/api/exchangePledgeQuoteProgrammeService/create', //增加
        getProgrammeSerialNo: ctx + '/api/exchangePledgeQuoteProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/exchangePledgeQuoteProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/exchangePledgeQuoteProductService/update', //编辑产品
        sizeTrue: ctx + '/api/exchangePledgeQuoteProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/exchangePledgeQuoteProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/exchangePledgeQuoteProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/exchangePledgeQuoteProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/exchangePledgeQuoteProgrammeService/saveMeetinginfo', //上传会议
        delMeetingFile: ctx + '/api/exchangePledgeQuoteProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/exchangePledgeQuoteProgrammeService/submitNext', //跟新生成审批表状态
        checkOnceRule: ctx + '/api/exchangePledgeQuoteProgrammeService/checkOnceRule' //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
    },


    PQRbusinessPlanApproval: {
        aprove: ctx + '/api/exchangePledgeQuoteProgrammeService/approveProcess' //流程
    },
    PQRbusinessOperation: {
        //业务操作
        getList: ctx + '/api/exchangePledgeQuoteProgrammeBusiService/find', //查询列表
        getByIdList: ctx + '/api/exchangePledgeQuoteProgrammeBusiService/getProductPageByProgrammeId',
        del: ctx + '/api/exchangePledgeQuoteProgrammeBusiService/delete', //停用
        add: ctx + '/api/exchangePledgeQuoteProgrammeBusiService/create', //增加
        aprove: ctx + '/api/exchangePledgeQuoteProgrammeBusiService/addProgrammeApproval', //审核
        findByproductid: ctx + '/api/exchangePledgeQuoteProductBusiService/findByproductid', //获取方案编号
        getById: ctx + '/api/exchangePledgeQuoteProductBusiService/getProductPageByProgrammeId', //id查询
        edit: ctx + '/api/exchangePledgeQuoteProductBusiService/update', //编辑
        getPDF: ctx + '/api/exchangePledgeQuoteProgrammeService/parse',
        isTrueCheckFile: ctx + '/api/exchangePledgeQuoteProductBusiService/isTrueCheckFile', //检验数据 同业拆借-业务操作-编辑-上传文件后
        logFind: ctx + '/api/investmentproductOperatingLogService/find', //操作日志记录查询
        logApprove: ctx + '/api/processService/getCommentsByProcinstid', //审批详情记录查询
    },
    PQRbusinessOperationApproval: {
        aprove: ctx + '/api/exchangePledgeQuoteProgrammeBusiService/approveProcess' //流程
    },
    PQRaccountManag: {
        //台账
        getList: ctx + '/api/exchangePledgeQuoteProductAccountService/find', //查询列表
        getById: ctx + '/api/exchangePledgeQuoteProductAccountService/findByproductid', //id查询
        getByIdList: ctx + '/api/exchangePledgeQuoteProductAccountService/getProductPageByProgrammeId',
        create: ctx + '/api/exchangePledgeQuoteProductAccountService/create', //编辑
        edit: ctx + '/api/exchangePledgeQuoteProductAccountService/update', //编辑
        aprove: ctx + '/api/exchangePledgeQuoteProgrammeAccountService/addProgrammeApproval' ,//审核
        findFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', // 批量新增 查询模板
        uploadFile: ctx + '/api/importLedgerFrameworkService/uploadFile', //批量新增 上传
        importData: ctx + '/api/exchangePledgeQuoteProductAccountService/importData', //批量新增 下一步
        delete: ctx + '/api/exchangePledgeQuoteProductAccountService/delete'// 台账作废
    },
    PQRaccountManagApproval: {
        aprove: ctx + '/api/exchangePledgeQuoteProgrammeAccountService/approveProcess' //审核
    },
    PQRstatisticsOfAccount: {
        getList: 'api/exchangePledgeQuoteProductAccountService/findLedgerCount'
    },

    CODbusinessPlanManag: {
        //同业存单
        getList: ctx + '/api/ticketProgrammeService/find', //查询列表
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        getById: ctx + '/api/ticketProgrammeService/getByid', //id查询
        getByIdList: ctx + '/api/ticketProductService/getProductPageByProgrammeId',
        del: ctx + '/api/ticketProductService/delete', //停用
        edit: ctx + '/api/ticketProgrammeService/edit', //编辑
        add: ctx + '/api/ticketProgrammeService/create', //增加

        getProgrammeSerialNo: ctx + '/api/ticketProgrammeService/getProgrammeSerialNo', //获取方案编号
        getByid2: ctx + '/api/ticketProductService/findByproductid', //获取产品详情
        edit2: ctx + '/api/ticketProductService/update', //编辑产品
        sizeTrue: ctx + '/api/ticketProgrammeService/updateQuotaCheck', //额度校验
        aprove: ctx + '/api/ticketProgrammeService/addProgrammeApproval', //审核
        editResolution: ctx + '/api/ticketProgrammeService/update', //修改上会状态
        findMeetinginfo: ctx + '/api/ticketProgrammeService/findMeetinginfo', //查会议纪要和上会状态
        parseFile: ctx + '/api/ticketProgrammeService/saveMeetinginfo', //上传会议
        delMeetingFile: ctx + '/api/ticketProgrammeService/deleteMeetinginfo', //删除会议
        submitNext: ctx + '/api/ticketProgrammeService/submitNext', //跟新生成审批表状态
        checkOnceRule: ctx + '/api/ticketProgrammeService/checkOnceRule' //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
    },
    storageMeetingFile: {
        add: ctx + '/api/meetingFileService/create' //添加会议纪要
    },
    //货币基金
    moneyFund: {
        find: ctx + '/api/fundProgrammeService/find', //查询数据
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        createList: ctx + '/api/fundProgrammeService/create', //新增编号
        aboutList: ctx + '/api/fundProductService/getProductPageByProgrammeId', //查询编号
        findByproductid: ctx + '/api/fundProductService/findByproductid', //查看单条草案
        updateList: ctx + '/api/fundProductService/update', //修改编号 提交
        deleteFund: ctx + '/api/fundProductService/delete', //删除编号
        getProgrammeSerialNo: ctx + '/api/fundProgrammeService/getProgrammeSerialNo', //生成方案编号
        parseFile: ctx + '/api/programmeService/saveMeetinginfo', //上传会议纪要
        updateQuotaCheck: ctx + '/api/fundProgrammeService/updateQuotaCheck', //额度校验
        editResolution: ctx + '/api/fundProgrammeService/update', //修改上会状态
        addContent: ctx + '/api/fundProgrammeService/updateResolution', //上传会议和富文本
        projectaddApproval: ctx + '/api/fundProgrammeService/addProgrammeApproval', //业务方案审批 add
        projectApproval: ctx + '/api/fundProgrammeService/approveProcess', //业务方案审批 复评
        getFindById: ctx + '/api/fundProgrammeService/findById', //审批页 附件 是否上会纪要
        moneylFind: ctx + '/api/capitalOperateService/find', //资金业务管理 查询
        capitalCreate: ctx + '/api/capitalOperateService/create', //新增划拨 新建
        capitalListDelete: ctx + '/api/capitalOperateService/delete', //新增划拨 删除
        capitalDelete: ctx + '/api/fundTransferService/delete', //新增划拨 删除
        capitalFind: ctx + '/api/fundTransferService/find', //新增划拨 查询
        getProgrammeCodeList: ctx + '/api/programmeService/getProgrammeCodeList', //查询 货基 业务方案
        capitaladdApproval: ctx + '/api/capitalOperateService/addProgrammeApproval', //资金业务审批 add
        capitalApproval: ctx + '/api/capitalOperateService/approveProcess', //资金业务审批 复评
        capitalSerialno: ctx + '/api/capitalOperateService/getProgrammeApprovalserialno', //生成资金业务编号
        capitalLogFind: ctx + '/api/investmentproductOperatingLogService/find', //修改记录查询
        logApprove: ctx + '/api/processService/getCommentsByProcinstid', //审批详情记录查询
        operationList: ctx + '/api/fundProgrammeBusiService/find', //货基 业务操作 列表
        dealList: ctx + '/api/fundProductBusiService/getProductPageByProgrammeId', //根据方案id查询货基信息
        dealFindByproductid: ctx + '/api/fundProductBusiService/findByproductid', //货基 交易信息 单条查询
        dealupdateByproductid: ctx + '/api/fundProductBusiService/update', //货基 交易信息 单条修改
        operationaddApproval: ctx + '/api/fundProgrammeBusiService/addProgrammeApproval', //业务操作审批 add
        operationApproval: ctx + '/api/fundProgrammeBusiService/approveProcess', //业务操作审批 复评
        accountFindList: ctx + '/api/fundProductAccountService/find', //台账管理 列表
        accountFindListdelete: ctx + '/api/fundProductAccountService/delete', //台账管理 列表作废
        accountCreate: ctx + '/api/fundProductAccountService/create', //台账管理 新增
        accountFindById: ctx + '/api/fundProductAccountService/findByproductid', //台账管理 单条 查询
        accountUpdate: ctx + '/api/fundProductAccountService/update', //台账管理 修改
        accountaddApproval: ctx + '/api/fundProgrammeAccountService/addProgrammeApproval', //台账管理 审批add
        accountProcesslApproval: ctx + '/api/fundProgrammeAccountService/approveProcess', //台账管理 审批 复评
        netWorthFind: ctx + '/api/netWorthService/find', //资产净值台账 查询
        netWorthCreate: ctx + '/api/netWorthService/create', //资产净值台账 新增
        netWorthfindById: ctx + '/api/netWorthService/findById', //资产净值台账 单条查询
        findBySuperiorId: ctx + '/api/netWorthService/findBySuperiorId', //资产净值台账 审批查询
        netWorthUpdate: ctx + '/api/netWorthService/update', //资产净值台账 修改
        netWorthDelete: ctx + '/api/netWorthService/delete', //资产净值台账 删除
        netWorthaddApproval: ctx + '/api/netWorthService/addProgrammeApproval', //资产净值台账 审批 add
        netWorthApproval: ctx + '/api/netWorthService/approveProcess', //资产净值台账 审批 复评
        getnetWorthServicno: ctx + '/api/netWorthService/getProgrammeApprovalserialno', //资产净值台账 生成编号
        uploadDataFile: ctx + '/api/importLedgerFrameworkService/uploadFile', // 批量新增 上传文件
        importData: ctx + '/api/fundProductAccountService/importData', // 批量新增 上传文件 下一步 货基台账
        netWorthimportData: ctx + '/api/netWorthService/importData', // 批量新增 上传文件 下一步 净值台账
        findFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', // 批量新增 查询模板
        findFundByCode: ctx + '/api/netWorthService/findFundByCode', //，输入基金代码，调用此接口
        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页 未审批数据
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页面 已审批数据
        findByCodeAndName: ctx + '/api/windFundSurveyService/findByCodeAndName', //过去所有基金代码

        thawQuota: ctx + '/api/frozenQuotaService/thawQuota', //解冻额度

        windFind: ctx + '/api/windFundSurveyService/find', //wind数据
        findFile: ctx + '/api/fundProgrammeService/findMeetingFileAndAdvice', //显示业务操作建议和会议纪要数据
        checkOnceRule: ctx + '/api/fundProgrammeService/checkOnceRule', //单次校验接口  新增数据后 下一步前先校验下 再去定是否进行下一步
        //同业拆借资金回收管理和审批
        findRecycle: ctx + '/api/fundProgrammeAccountRecycleService/find', // 资金回收管理-查询
        create: ctx + '/api/fundProgrammeAccountRecycleService/create', // 资金回收管理-新增回款-下一步
        update: ctx + '/api/fundProgrammeAccountRecycleService/update', // 资金回收管理-新增回款-下一步
        findById: ctx + '/api/fundProgrammeAccountRecycleService/findById', // 修改和查看页面初始化
        addApprove: ctx + '/api/fundProgrammeAccountRecycleService/addProgrammeApproval	', // ADD首次 审批
        approveProcess: ctx + '/api/fundProgrammeAccountRecycleService/approveProcess	', // 审批
        deleteRecycle: ctx + '/api/fundProgrammeAccountRecycleService/delete' //资金回收管理-作废
    },

    // 交易所国债逆回购
    nationalReverse: {
        find: ctx + '/api/nationalbondProgrammeService/find', //查询数据
        create: ctx + '/api/nationalbondProgrammeService/create', //新增数据
        findProduct: ctx + '/api/nationalbondProductService/find', //查询草案
        getQuotaCheck: ctx + '/api/nationalbondProgrammeService/findById', //查询获取额度校验
        deleteProduct: ctx + '/api/nationalbondProductService/delete', //删除草案
        findByIdProduct: ctx + '/api/nationalbondProductService/findById', //查看单条草案
        updateProduct: ctx + '/api/nationalbondProductService/update', //修改草案 提交
        updateQuotaCheck: ctx + '/api/nationalbondProgrammeService/updateQuotaCheck', //额度校验
        createTransfer: ctx + '/api/interbankFundTransferSuggestService/create', //新增划拨
        deleteTransfer: ctx + '/api/interbankFundTransferSuggestService/delete', //删除划拨
        findTransfe: ctx + '/api/interbankFundTransferSuggestService/find', //查询划拨
        checkOnceRule: ctx + '/api/nationalbondProgrammeService/checkOnceRule', //下一步 单次规则校验
        generateProgrammecode: ctx + '/api/nationalbondProgrammeService/generateProgrammecode', //生成方案编号
        getProgrammecodeById: ctx + '/api/nationalbondProgrammeService/getProgrammecodeById', //查看 方案编号 审批编号
        sqlUpdate: ctx + '/api/nationalbondProgrammeService/update', //处理审批sql 报错问题
        addProgrammeApproval: ctx + '/api/nationalbondProgrammeService/addProgrammeApproval', //提交审核
        approveProcess: ctx + '/api/nationalbondProgrammeService/approveProcess', //复审
        delete: ctx + '/api/fundProgrammeService/delete', //删除方案 终止方案 注销方案
        logFind: ctx + '/api/investmentproductOperatingLogService/find', //操作日志记录查询
        logApprove: ctx + '/api/processService/getCommentsByProcinstid', //审批详情记录查询
        operationList: ctx + '/api/nationalbondProgrammeBusiService/find', //业务操作 列表
        findByinvestId: ctx + '/api/meeingFileService/findByinvestId', //业务操作 查询对应方案下的 会议纪要
        operationAdd: ctx + '/api/nationalbondProductBusiService/find', //业务操作 编辑
        operationUpdate: ctx + '/api/nationalbondProductBusiService/update', //业务操作 编辑后提交
        addBusiApproval: ctx + '/api/nationalbondProgrammeBusiService/addProgrammeApproval', //业务操作 审批add
        approveBusiProcess: ctx + '/api/nationalbondProgrammeBusiService/approveProcess', //业务操作 审批复审
        accountFind: ctx + '/api/nationalbondProductAccountService/find', //台账管理 查询
        accountCreate: ctx + '/api/nationalbondProductAccountService/create', //台账管理 新增
        accountFindById: ctx + '/api/nationalbondProductAccountService/findById', //台账管理 查看
        accountUpdate: ctx + '/api/nationalbondProductAccountService/update', //台账管理 修改
        // changeDataStatus: ctx + '/api/nationalbondProductAccountService/changeDataStatus', //台账管理 作废
        changeDataDelete: ctx + '/api/nationalbondProductAccountService/delete', //台账管理 作废 新
        accountAddApproval: ctx + '/api/nationalbondProgrammeAccountService/addProgrammeApproval', //台账管理 审批add
        accountProcesslApproval: ctx + '/api/nationalbondProgrammeAccountService/approveProcess', //台账管理 审批复审
        LogServiceFind: ctx + '/api/investmentproductOperatingLogService/find', //台账管理 修改记录
        findFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', // 批量新增 查询模板
        uploadDataFile: ctx + '/api/importLedgerFrameworkService/uploadFile', // 批量新增 上传文件
        saveFileinfo: ctx + '/api/nationalbondProgrammeService/saveFileinfo', // 上传成交单文件
        importData: ctx + '/api/nationalbondProductAccountService/importData', // 批量新增 上传文件 下一步

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页面 未审批数据
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页面 已审批数据

        thawQuota: ctx + '/api/frozenQuotaService/thawQuota', //解冻额度
        getServiceCharge: ctx + '/api/nationalbondProgrammeService/getServiceCharge' //查询费率
    },

    //会议纪要管理
    meetingManagement: {
        create: ctx + '/api/meetingFileService/create', //新增数据
        findAll: ctx + '/api/meetingFileService/findAll', //查询所有数据
        findById: ctx + '/api/meetingFileService/findById', //根据id查询数据
        update: ctx + '/api/meetingFileService/update', //修改数据
        delete: ctx + '/api/meetingFileService/delete', //删除数据
        getProgrammeCodeList: ctx + '/api/programmeService/getProgrammeCodeList' //新增数据 前先调这个 查业务方案
    },
    // 同业业务
    InterbankLending: {
        // 同业拆借
        findAll: ctx + '/api/borrowProductBusiService/settlementBusiness', //查询所有数据
        // 质押式回购
        collateralisedRepo: ctx + '/api/pledgeProductBusiService/settlementBusiness', //查询所有数据
        // 同业存单
        interbankDepositCertificate: ctx + '/api/ticketProductBusiService/settlementBusiness', //查询所有数据
        // 交易所回购
        bondRepurchase: ctx + '/api/nationalbondProductAccountService/find', //查询所有数据
        //  存放同业
        depositWithPeers: ctx + '/api/depositProductBusiService/settlementBusiness' //查询所有数据
    },
    // 自营投资
    selfInvestmentMg: {
        // 银行理财
        bankFinancing: ctx + '/api/productBusiService/settlementBusiness', //查询所有数据
        // 货币基金
        monetaryFund: ctx + '/api/fundProductAccountService/find' //查询所有数据
    },
    // 基准利率管理
    benchmarkInterestRateMg: {
        getInterestRate: ctx + '/api/windDepositRateService/findFinanceCompanyRate', //查询财务公司存款利率
        // 保存修改数据
        preservationData: ctx + '/api/windDepositRateService/updateFinanceCompanyRate',
        // 查询历史记录
        historicalRecord: ctx + '/api/investmentproductOperatingLogService/find'
    },
    // 常用模板管理
    templateManagement: {
        getList: ctx + '/api/importLedgerFramework/find',
        // 添加导入模板
        addTemplate: ctx + '/api/importLedgerFrameworkService/create',
        // 删除
        delTemplate: ctx + '/api/importLedgerFrameworkService/delete',
        // 获取历史数据
        oldUpdate: ctx + '/api/investmentproductOperatingLogService/find'
    },
    // 手动维护
    manualMaintenanceMg: {
        // 金融获取数据列表
        getList: ctx + '/api/financialQuotaManualService/findFinancialProduct',
        // 金融新增额度
        addFinanceList: ctx + '/api/financialQuotaManualService/createFinancialProduct',
        // 金融根据id查询
        findByProductQuotaId: ctx + '/api/financialQuotaManualService/findByProductQuotaId',
        // 修改金融产品
        editByProduct: ctx + '/api/financialQuotaManualService/updateFinancialProduct',
        // 查询具体品种
        findVarietiesList: ctx + '/api/investmentRiskClassifyService/findByInvestmentProjects',

        // 删除金融产品
        delByProduct: ctx + '/api/financialQuotaManualService/delete',
        // 获取老的历史记录
        oldProductList: ctx + '/api/investmentproductOperatingLogService/find',

        // 交易对手新增额度占用
        addList: ctx + '/api/financialQuotaManualService/createFinancialCounterparty',
        // 交易对手根据id查询
        findByCounterpartyQuotaId: ctx + '/api/financialQuotaManualService/findByCounterpartyQuotaId',
        // 查询交易对手列表
        findCounterpartyList: ctx + '/api/financialQuotaManualService/findFinancialCounterparty',
        // 修改交易对手
        editCounterpartyInfo: ctx + '/api/financialQuotaManualService/updateFinancialCounterparty'
    },
    // 监管规则标准设定
    regulationRules: {
        //** 特殊目的载体 */
        // 获取特殊目的载体列表
        getSpecialPurposeList: ctx + '/api/specialPurposeEntityService/find',
        // 创建特殊目的载体
        create: ctx + '/api/specialPurposeEntityService/create',
        // 查询特殊目的载体
        findById: ctx + '/api/specialPurposeEntityService/findById',
        // 修改特殊目载体
        updateByid: ctx + '/api/specialPurposeEntityService/update',
        // 删除特殊目的载体
        delete: ctx + '/api/specialPurposeEntityService/delete',
        // 查询修改记录
        findOldData: ctx + '/api/investmentproductOperatingLogService/find'
    },

    // 投资风险限额分类设定 Investment risk limit setting
    investmentSetting: {
        find: ctx + '/api/investmentRiskClassifyService/find', // 列表页查询
        delete: ctx + '/api/investmentRiskClassifyService/delete', // 删除
        create: ctx + '/api/investmentRiskClassifyService/create', // 新增
        findById: ctx + '/api/investmentRiskClassifyService/findById', // 查看
        update: ctx + '/api/investmentRiskClassifyService/update', // 更新
        getVarieties: ctx + '/api/investmentRiskClassifyService/getVarieties', // 新增的时候，获取下面的产品的时候，调用的
        findByInvestmentProjects: ctx + '/api/investmentRiskClassifyService/findByInvestmentProjects', // 根据产品查具体品种
        findLog: ctx + '/api/investmentproductOperatingLogService/find' // 修改记录
    },

    // 监管额度设定 Regulatory limit setting
    Regulatory: {
        find: ctx + '/api/industryregulationlimitsService/find', // 列表页查询
        logApprove: ctx + '/api/processService/getCommentsByProcinstid', //审批详情记录查询
        delete: ctx + '/api/industryregulationlimitsService/delete', // 删除
        addOne: ctx + '/api/industryregulationlimitsService/addOne', // 新增 单条

        create: ctx + '/api/industryregulationlimitsService/create', // 新增
        addProgrammeApproval: ctx + '/api/creditassessmentstandardsService/addProgrammeApproval', // 审批 add
        approveProcess: ctx + '/api/creditassessmentstandardsService/approveProcess', // 审批 复评
        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页面 未审批数据
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页面 已审批数据

        findById: ctx + '/api/industryregulationlimitsService/findById', // 查看
        update: ctx + '/api/industryregulationlimitsService/update', // 更新

        LogFind: ctx + '/api/investmentproductOperatingLogService/find' //修改记录
    },

    // 集团额度设定 Group quota setting
    Groupquota: {
        find: ctx + '/api/blocWhiteListService/find', // 列表页查询
        logApprove: ctx + '/api/processService/getCommentsByProcinstid', //审批详情记录查询
        delete: ctx + '/api/blocWhiteListService/delete', // 删除
        addOne: ctx + '/api/blocWhiteListService/addBlocWhiteList', // 新增 单条
        create: ctx + '/api/blocWhiteListService/create', // 新增

        addProgrammeApproval: ctx + '/api/creditassessmentstandardsService/addProgrammeApproval', // 审批 add
        approveProcess: ctx + '/api/creditassessmentstandardsService/approveProcess', // 审批 复评

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页面 未审批数据
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页面 已审批数据

        findById: ctx + '/api/blocWhiteListService/findById', // 查看
        update: ctx + '/api/blocWhiteListService/update', // 更新

        LogFind: ctx + '/api/investmentproductOperatingLogService/find' //修改记录
    },

    // 投资项目设定 Investment project setting
    RegulatoryProject: {
        find: ctx + '/api/investmentingService/find', // 列表页查询
        delete: ctx + '/api/investmentingService/delete', // 删除
        create: ctx + '/api/investmentingService/create', // 新增
        findById: ctx + '/api/investmentingService/findById', // 查看
        update: ctx + '/api/investmentingService/update', // 更新
        findLog: ctx + '/api/investmentproductOperatingLogService/find' // 修改记录
    },
    /** 资产支持证券 */
    // 台账管理
    assetBackedSecurities_Ledger: {
        find: ctx + '/api/assetsBackedSecurityLedgerService/find', // 列表页查询
        create: ctx + '/api/assetsBackedSecurityLedgerService/create', // 新增
        ledgerAddApproval: ctx + '/api/assetsBackedSecurityLedgerService/addProgrammeApproval', //首次审批
        approveProcess: ctx + '/api/assetsBackedSecurityLedgerService/approveProcess', //审批
        findLedgerInfo: ctx + '/api/assetsBackedSecurityLedgerService/findById', //查询台账详情
        update: ctx + '/api/assetsBackedSecurityLedgerService/update', // 修改
        delete: ctx + '/api/assetsBackedSecurityLedgerService/delete', // 修改
        findProgramCodeAndProductCode: ctx + '/api/assetsBackedSecurityLedgerService/findProgramCodeAndProductCode', // 查询方案编号和产品编号
        // 台账操作审批
        operationApproval: ctx + '/api/assetsBackedSecurityLedgerService/approveProcess', //审批
        getProcessIntanceByPage: ctxForm + '/getProcessIntanceByPage',
        findNewestFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', //批量新增 查询
        uploadFile: ctx + '/api/importLedgerFrameworkService/uploadFile', //批量新增 上传
        // getTodoTask: ctx + '/api/processService/getTodoTask', //批量新增 下载
        importData: ctx + '/api/assetsBackedSecurityLedgerService/importData' //批量新增 下一步
    },
    // 资金回收
    assetBackedSecurities_Recovery: {
        find: ctx + '/api/assetsBackedSecurityRecycleService/find', // 列表页查询
        create: ctx + '/api/assetsBackedSecurityRecycleService/create', // 新增
        update: ctx + '/api/assetsBackedSecurityRecycleService/update', // 修改
        findById: ctx + '/api/assetsBackedSecurityRecycleService/findById', // 修改
        addApprove: ctx + '/api/assetsBackedSecurityRecycleService/addProgrammeApproval	', // ADD首次 审批
        approveProcess: ctx + '/api/assetsBackedSecurityRecycleService/approveProcess	', // 审批
        delete: ctx + '/api/assetsBackedSecurityRecycleService/delete' //删除
        // 资金回收审批
    },
    /** 优先股 */
    //  台账管理
    preferredStockManage_Ledger: {
        find: ctx + '/api/preferredStockLedgerService/find', // 列表页查询
        findnew: ctx + '/api/preferredStockLedgerService/findProgramCodeAndProductCode', // 资金回收查询台账
        create: ctx + '/api/preferredStockLedgerService/create', // 新增
        update: ctx + '/api/preferredStockLedgerService/update', // 修改
        findById: ctx + '/api/preferredStockLedgerService/findById', // 修改
        addApprove: ctx + '/api/preferredStockLedgerService/addProgrammeApproval', // ADD首次 审批
        approveProcess: ctx + '/api/preferredStockLedgerService/approveProcess', // 审批
        delete: ctx + '/api/preferredStockLedgerService/delete', //删除
        getProcessIntanceByPage: ctxForm + '/getProcessIntanceByPage',
        findNewestFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', //批量新增 查询
        uploadFile: ctx + '/api/importLedgerFrameworkService/uploadFile', //批量新增 上传
        // getTodoTask: ctx + '/api/processService/getTodoTask', //批量新增 下载
        importData: ctx + '/api/preferredStockLedgerService/importData' //批量新增 下一步
    },
    preferredStockManage_Recovery: {
        find: ctx + '/api/preferredStockRecycleService/find', // 列表页查询
        create: ctx + '/api/preferredStockRecycleService/create', // 新增
        update: ctx + '/api/preferredStockRecycleService/update', // 修改
        findById: ctx + '/api/preferredStockRecycleService/findById', // 修改
        addApprove: ctx + '/api/preferredStockRecycleService/addProgrammeApproval', // ADD首次 审批
        approveProcess: ctx + '/api/preferredStockRecycleService/approveProcess', // 审批
        delete: ctx + '/api/preferredStockRecycleService/delete' //删除
    },
    // 净值型理财
    netWorthFinancing: {
        /**
         *  业务方案和业务操作开始
         * */
        businessCreate: ctx + '/api/networthbankProgramme/create', //新增业务
        planFind: ctx + '/api/networthbankProgramme/find', //新增业务
        productFind: ctx + '/api/networthbankProduct/getByProgrammeid', //列表页修改查询
        findByproductid: ctx + '/api/networthbankProduct/findById', // 产品查询
        updateList: ctx + '/api/networthbankProduct/update', //修改产品
        deleteFund: ctx + '/api/networthbankProduct/delete', //删除产品
        getProgrammeSerialNo: ctx + '/api/networthbankProgramme/generateProgrammecode', //生成方案编号
        updateQuotaCheck: ctx + '/api/networthbankProgramme/updateQuotaCheck', //额度校验
        findByType: ctx + '/api/priceInquiryTemplateService/findByType', //业务操作建议查询
        parseFile: ctx + '/api/programmeService/saveMeetinginfo', //上传会议纪要
        findMeetinginfo: ctx + '/api/programmeService/findMeetinginfo', //  查询附件
        deleteMeetinginfo: ctx + '/api/programmeService/deleteMeetinginfo', //附件删除
        meetinginfoUpdate: ctx + '/api/networthbankProgramme/update', // 修改业务操作
        addProgrammeApproval: ctx + '/api/networthbankProgramme/addProgrammeApproval', // 方案审批add
        approveProcess: ctx + '/api/networthbankProgramme/approveProcess', // 方案审批app
        //业务操作
        performFind: ctx + '/api/networthbankProgrammeBusi/find', //业务操作
        editFind: ctx + '/api/networthbankProductBusi/getByProgrammeBusiId', // 修改查询
        cancel: ctx + '/api/networthbankProductBusi/delete', // 作废
        beRelated: ctx + '/api/networthbankProductBusi/update', //关联合同确定
        deleteContract: ctx + '/api/networthbankProductBusi/deleteContract', //删除关联合同
        addDetail: ctx + '/api/networthbankBusiDetails/create', //新增业务明细
        getByContractcode: ctx + '/api/networthbankBusiDetails/getByContractcode', //根据合同编号获取关联的业务明细
        updateDetail: ctx + '/api/networthbankBusiDetails/update', //修改明细
        findByIdDetail: ctx + '/api/networthbankBusiDetails/findById', //查看明细
        getContractcode: ctx + '/api/networthbankProgrammeBusi/getContractcode', //根据业务操作方案id获取其下所有的合同
        deleteDetail: ctx + '/api/networthbankBusiDetails/delete', //删除明细
        getAllDetail: ctx + '/api/networthbankBusiDetails/find', //查询和审批所有明细
        addBusiApproval: ctx + '/api/networthbankProgrammeBusi/addProgrammeApproval', // 业务操作add
        approveBusiProcess: ctx + '/api/networthbankProgrammeBusi/approveProcess', //业务操作app
        findByContractCode: ctx + '/api/financeContract/findByContractCode', // 列表页查询
        findByproductCode: ctx + '/api/financeProductService/findByproductCode', //查询产品信息
        /**
         *  结束
         * */

        find: ctx + '/api/networthbankLedgerService/find', // 列表页查询
        create: ctx + '/api/networthbankLedgerService/create', //新增台账管理
        contractNum: ctx + '/api/financeContractService/find', //交易对手改变事件 ,合同序列号
        ledgerDelete: ctx + '/api/networthbankLedgerService/delete', //删除台账
        ledgerFindById: ctx + '/api/networthbankLedgerService/findById', //台账详情
        ledgeraddApproval: ctx + '/api/networthbankLedgerService/addProgrammeApproval', //台账审批ADD
        ledgerApproval: ctx + '/api/networthbankLedgerService/approveProcess', //台账审批
        ledgerApprovalFindById: ctx + '/api/networthbankLedgerService/findByprograemmeLedgerId', // ledgeAdd流程类型调 审批台账详情
        ledgerUpdate: ctx + '/api/networthbankLedgerService/update', // 台账修改

        capitalFind: ctx + '/api/networthbankCapitalRecoveryService/find', // 资金回收列表页查询
        capitalCreate: ctx + '/api/networthbankCapitalRecoveryService/create', // 资金回收创建
        capitalDelete: ctx + '/api/networthbankCapitalRecoveryService/delete', // 资金回收删除
        capitalUpdate: ctx + '/api/networthbankCapitalRecoveryService/update', // 资金回收修改
        capitalFindById: ctx + '/api/networthbankCapitalRecoveryService/findById', // 资金回收 详情
        capitaladdApproval: ctx + '/api/networthbankCapitalRecoveryService/addProgrammeApproval', // 资金回收 审批add
        capitalApproval: ctx + '/api/networthbankCapitalRecoveryService/approveProcess', // 资金回收 复核

        logFind: ctx + '/api/investmentproductOperatingLogService/find', //修改记录
        logApprove: ctx + '/api/processService/getCommentsByProcinstid', //审批详情记录查询

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页面 未审批数据
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页面 已审批数据

        findNewestFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', //批量新增 查询
        uploadFile: ctx + '/api/importLedgerFrameworkService/uploadFile', //批量新增 上传
        // getTodoTask: ctx + '/api/processService/getTodoTask', //批量新增 下载
        importData: ctx + '/api/networthbankLedgerService/importData', //批量新增 下一步

        findNetworth: ctx + '/api/networthbankCapitalRecoveryService/findNetworthByDateAndContractCode' //查询确认日净值
    },

    // 净值型理财 理财产品
    netWorthFinancingProducts: {
        find: ctx + '/api/financeProductService/find', // 列表页查询 查询编码
        create: ctx + '/api/financeProductService/create', // 新增
        update: ctx + '/api/financeProductService/update', // 修改
        findById: ctx + '/api/financeProductService/findById', // 查看详情
        delete: ctx + '/api/financeProductService/delete', //删除

        findNetworth: ctx + '/api/financeProductNetworthService/find', //查询历史净值
        logFind: ctx + '/api/investmentproductOperatingLogService/find', //查询修改记录

        bookFind: ctx + '/api/financeProductNetworthService/find', // 台账列表页查询
        bookCreate: ctx + '/api/financeProductNetworthService/create', // 台账新增
        bookDelete: ctx + '/api/financeProductNetworthService/delete', // 台账列表页删除
        bookRealDelete: ctx + '/api/financeProductNetworthService/realDelete', // 台账单条删除
        bookUpdate: ctx + '/api/financeProductNetworthService/update', // 台账修改
        bookFindById: ctx + '/api/financeProductNetworthService/findById', // 台账查看详情

        getProcessIntanceByPage: ctxForm + '/getProcessIntanceByPage', //

        addApproval: ctx + '/api/financeProductNetworthService/addProgrammeApproval', // 台账审核 add
        approval: ctx + '/api/financeProductNetworthService/approveProcess', // 台账复核

        findByNetworthParentId: ctx + '/api/financeProductNetworthService/findByNetworthParentId', // 台账审批信息

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页面 未审批数据
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页面 已审批数据

        findNewestFormwork: ctx + '/api/importLedgerFrameworkService/findNewestFormwork', //批量新增 查询
        uploadFile: ctx + '/api/importLedgerFrameworkService/uploadFile', //批量新增 上传
        // getTodoTask: ctx + '/api/processService/getTodoTask', //批量新增 下载
        importData: ctx + '/api/networthbankLedgerService/importData' //批量新增 下一步
    },

    // 净值型理财合同
    netWorthFinancingContract: {
        find: ctx + '/api/financeContract/find', // 列表页查询
        create: ctx + '/api/financeContractService/create', // 新增
        update: ctx + '/api/financeContractService/update', // 修改
        findById: ctx + '/api/financeContractService/findById', // 查看详情
        delete: ctx + '/api/financeContractService/delete', //删除

        productCode: ctx + '/api/financeProductService/find', //查询编码

        detailHistory: ctx + '/api/financeProductNetworthService/find', //历史净值明细
        logFind: ctx + '/api/investmentproductOperatingLogService/find' //修改记录
    },
    // 存款准备金划拨
    depositMoney: {
        find: ctx + '/api/capitalOperateRequiredReservesService/find', //列表查询
        Tradecreate: ctx + '/api/capitalOperateRequiredReservesService/create', //创建
        Tradedelete: ctx + '/api/fundTransferRequiredReservesService/delete', //删除
        TradeFind: ctx + '/api/fundTransferRequiredReservesService/find', //划拨查询
        updateById: ctx + '/api/capitalOperateRequiredReservesService/updateById', //x修改
        update: ctx + '/api/fundTransferRequiredReservesService/update', //编辑划拨
        logFind: ctx + '/api/investmentproductOperatingLogService/find', //划拨查询 记录
        detailFind: ctx + '/api/processService/getCommentsByProcinstid', //划拨查询 审批详情
        findById: ctx + '/api/fundTransferRequiredReservesService/findById', //划拨查询单条

        generateNumbering: ctx + '/api/capitalOperateRequiredReservesService/generateApprovalcode', //生成审批编号

        getProcessIntanceByPage: ctxForm + '/getProcessIntanceByPage', //

        interBankAddApproval: ctx + '/api/capitalOperateRequiredReservesService/addProgrammeApproval', //审批 add
        interBankApproval: ctx + '/api/capitalOperateRequiredReservesService/approveProcess', //审批 复评

        getTodoTask: ctx + '/api/processService/getTodoTask', //审批页 未处理
        finish: ctx + '/api/processService/findFinishedTaskInstances', //审批页 已处理

        delete: ctx + '/api/capitalOperateRequiredReservesService/delete', //方案删除
        // 导出
        export: ctx + '/api/capitalOperateRequiredReservesService/exportData'
    },
    // 台账管理导入
    accountImport: {
        networthImport: ctx + '/api/netWorthService/importData',
        productImport: ctx + '/api/financeProductNetworthService/excelImport'
    }

}
// }
export default urls
