'use strict'
let devs = {
    TITLE:'本地环境',
    BASE_URL:"http://43.138.50.94:9600/", //本地环境
    BASE_API:"http://43.138.50.94:8880",//工作流本地环境
    EXCEL_URL:"http://43.138.50.94:7777" //本地excel路径
}
let dev = {
    TITLE:'本地环境',
    BASE_URL:"http://127.0.0.1:8080", //本地环境
    BASE_API:"http://43.138.50.94:8880",//工作流本地环境
    EXCEL_URL:"http://43.138.50.94:7777" //本地excel路径
}
let test = {
    TITLE:'测试环境',
    BASE_URL:"http://10.149.85.91:8000/spfm", //测试环境
    BASE_API:"http://10.149.85.91:8000",//工作流测试环境
    EXCEL_URL:"http://10.149.85.91:7777" //测试excel路径
}
let prod = {
    TITLE:'线上环境',
    BASE_URL:"http://10.230.26.15:8000/mkt", //线上环境
    BASE_API:"http://10.230.26.15:8000",//工作流线上环境
    EXCEL_URL:"http://10.230.26.15:7777" //线上excel路径
}
export const getConfig  = () =>{
    console.log(process.env.NODE_ENV === 'development');
    switch(process.env.NODE_ENV){
        case "development":
            return dev;
        case 'test':
            return test;
        case 'production':
            return prod
        case 'devs':
            return devs; 
    }
}
export default getConfig;

// 根据环境引入不同配置 process.env.ENV_CONFIG  ex:dev.conf.js

// module.exports = config